Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAnsgar Radermacher2013-11-19 15:24:03 +0000
committerAnsgar Radermacher2013-11-19 15:29:50 +0000
commit6996e2ac43ba83468405783b2e111858ff5bb207 (patch)
tree6161f815ce12ef9b02104cf90f41ea6a3e339cde /features
parent26abb26a9d2936de2eca0f108834f64c21f66006 (diff)
downloadorg.eclipse.papyrus-6996e2ac43ba83468405783b2e111858ff5bb207.tar.gz
org.eclipse.papyrus-6996e2ac43ba83468405783b2e111858ff5bb207.tar.xz
org.eclipse.papyrus-6996e2ac43ba83468405783b2e111858ff5bb207.zip
- bug 420280 [QDesigner] refactoring: separation of user interface and transformation plugin. Add UI plugin to extra build
Diffstat (limited to 'features')
-rw-r--r--features/papyrus-extra-features/org.eclipse.papyrus.extra.qompass.designer.basic.feature/feature.xml249
1 files changed, 149 insertions, 100 deletions
diff --git a/features/papyrus-extra-features/org.eclipse.papyrus.extra.qompass.designer.basic.feature/feature.xml b/features/papyrus-extra-features/org.eclipse.papyrus.extra.qompass.designer.basic.feature/feature.xml
index 600bbd4bdc6..afd65712d26 100644
--- a/features/papyrus-extra-features/org.eclipse.papyrus.extra.qompass.designer.basic.feature/feature.xml
+++ b/features/papyrus-extra-features/org.eclipse.papyrus.extra.qompass.designer.basic.feature/feature.xml
@@ -1,100 +1,149 @@
-<?xml version="1.0" encoding="UTF-8" standalone="no"?><feature id="org.eclipse.papyrus.extra.qompass.designer.basic.feature" label="%featureName" provider-name="%providerName" version="1.0.0.qualifier">
-
- <description>
- The Qompass tool suite is a component based design methodology
-based
-on
-- A profile derived from a flexible component model (FCM) with
-- extensible port definitions (kind)
-- extensible set of connector types and implementations
-- extensible set of container services
-- A library of predefined port kinds
-- A library of connector types along with their implementations
-- The tool chain supporting a set of model-to-model transformation
-(connector and container expansion)
-- A C++ code generator
-- CDT support, i.e. the generation of a CDT project from the
-model
- </description>
-
- <copyright url="http://www.eclipse.org/legal/epl-v10.html">
- Copyright (c) 2012 CEA LIST
-All rights reserved. This program and the accompanying materials
-are made available under the terms of the Eclipse Public License
-v1.0
-which accompanies this distribution, and is available at
-http://www.eclipse.org/legal/epl-v10.html
- </copyright>
-
- <license url="%licenseURL">
- %license
- </license>
-
- <includes id="org.eclipse.papyrus.extra.cpp.feature" version="0.0.0"/>
-
- <requires>
- <import plugin="org.eclipse.ui"/>
- <import plugin="org.eclipse.core.runtime"/>
- <import plugin="org.eclipse.emf.ecore"/>
- <import plugin="org.eclipse.uml2.uml"/>
- <import plugin="org.eclipse.core.resources"/>
- <import plugin="org.eclipse.ui.ide"/>
- <import plugin="org.eclipse.emf.edit.ui"/>
- <import match="greaterOrEqual" plugin="org.eclipse.draw2d" version="3.8.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.gef" version="3.8.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.gmf.runtime.notation" version="1.5.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.acceleo.engine" version="3.1.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.acceleo.parser" version="3.1.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.gmf.runtime.emf.commands.core" version="1.4.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.help" version="3.5.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.ui.cheatsheets" version="3.4.0"/>
- <import plugin="org.eclipse.cdt.ui"/>
- <import match="greaterOrEqual" plugin="org.eclipse.emf.validation" version="1.3.0"/>
- <import plugin="org.eclipse.emf.ecore.xmi"/>
- <import match="greaterOrEqual" plugin="org.eclipse.emf.transaction" version="1.4.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.gmf.runtime.common.core" version="1.4.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.fcm.profile" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.marte.static.profile" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.qompass.designer.vsl" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.uml.modelexplorer.widgets" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.emf.compare" version="3.0.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.uml.diagram.common" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.infra.gmfdiag.widgets" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.uml.modelexplorer" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.uml.profile" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.uml.properties" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.uml.tools" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.cpp.profile" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.infra.core" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.gmf.runtime.common.core" version="1.7.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.infra.widgets" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.infra.emf" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.acceleo" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.qompass.designer.core" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.cpp.codegen" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.cdt.managedbuilder.core" version="8.0.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.cdt.core" version="5.4.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.uml2.uml" version="3.0.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.ui.ide" version="3.8.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.uml2.uml" version="4.0.0"/>
- <import match="greaterOrEqual" plugin="org.eclipse.papyrus.marte.vsl" version="0.10.1"/>
- <import match="greaterOrEqual" plugin="org.eclipse.xtext" version="2.4.0"/>
- <import plugin="org.eclipse.uml2.types"/>
- <import match="greaterOrEqual" plugin="org.eclipse.ui" version="3.105.0"/>
- </requires>
-
- <plugin download-size="0" id="org.eclipse.papyrus.qompass.designer.core" install-size="0" unpack="false" version="0.0.0"/>
-
- <plugin download-size="0" id="org.eclipse.papyrus.qompass.designer.doc" install-size="0" unpack="false" version="0.0.0"/>
-
- <plugin download-size="0" id="org.eclipse.papyrus.qompass.designer.cpp" install-size="0" unpack="false" version="0.0.0"/>
-
- <plugin download-size="0" id="org.eclipse.papyrus.qompass.designer.validation" install-size="0" unpack="false" version="0.0.0"/>
-
- <plugin download-size="0" id="org.eclipse.papyrus.qompass.modellibs.core" install-size="0" unpack="false" version="0.0.0"/>
-
- <plugin download-size="0" id="org.eclipse.papyrus.qompass.designer.vsl" install-size="0" unpack="false" version="0.0.0"/>
-
- <plugin download-size="0" id="org.eclipse.papyrus.fcm.profile" install-size="0" unpack="false" version="0.0.0"/>
-
-</feature> \ No newline at end of file
+<?xml version="1.0" encoding="UTF-8"?>
+<feature
+ id="org.eclipse.papyrus.extra.qompass.designer.basic.feature"
+ label="%featureName"
+ version="1.0.0.qualifier"
+ provider-name="%providerName">
+
+ <description>
+ The Qompass tool suite is a component based design methodology
+based
+on
+- A profile derived from a flexible component model (FCM) with
+- extensible port definitions (kind)
+- extensible set of connector types and implementations
+- extensible set of container services
+- A library of predefined port kinds
+- A library of connector types along with their implementations
+- The tool chain supporting a set of model-to-model transformation
+(connector and container expansion)
+- A C++ code generator
+- CDT support, i.e. the generation of a CDT project from the
+model
+ </description>
+
+ <copyright url="http://www.eclipse.org/legal/epl-v10.html">
+ Copyright (c) 2012 CEA LIST
+All rights reserved. This program and the accompanying materials
+are made available under the terms of the Eclipse Public License
+v1.0
+which accompanies this distribution, and is available at
+http://www.eclipse.org/legal/epl-v10.html
+ </copyright>
+
+ <license url="%licenseURL">
+ %license
+ </license>
+
+ <includes
+ id="org.eclipse.papyrus.extra.cpp.feature"
+ version="0.0.0"/>
+
+ <requires>
+ <import plugin="org.eclipse.ui"/>
+ <import plugin="org.eclipse.core.runtime"/>
+ <import plugin="org.eclipse.emf.ecore"/>
+ <import plugin="org.eclipse.uml2.uml"/>
+ <import plugin="org.eclipse.core.resources"/>
+ <import plugin="org.eclipse.ui.ide"/>
+ <import plugin="org.eclipse.emf.edit.ui"/>
+ <import plugin="org.eclipse.draw2d" version="3.8.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gef" version="3.8.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gmf.runtime.notation" version="1.5.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.acceleo.engine" version="3.1.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.acceleo.parser" version="3.1.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gmf.runtime.emf.commands.core" version="1.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.help" version="3.5.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.ui.cheatsheets" version="3.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.cdt.ui"/>
+ <import plugin="org.eclipse.emf.validation" version="1.3.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.ecore.xmi"/>
+ <import plugin="org.eclipse.emf.transaction" version="1.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gmf.runtime.common.core" version="1.4.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.fcm.profile" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.marte.static.profile" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.qompass.designer.vsl" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.uml.modelexplorer.widgets" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.emf.compare" version="3.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.uml.diagram.common" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.infra.gmfdiag.widgets" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.uml.modelexplorer" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.uml.profile" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.uml.properties" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.uml.tools" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.cpp.profile" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.infra.core" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.gmf.runtime.common.core" version="1.7.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.infra.widgets" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.infra.emf" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.acceleo" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.qompass.designer.core" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.cpp.codegen" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.cdt.managedbuilder.core" version="8.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.cdt.core" version="5.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.uml" version="3.0.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.ui.ide" version="3.8.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.uml" version="4.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.papyrus.marte.vsl" version="0.10.1" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.xtext" version="2.4.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.uml2.types"/>
+ <import plugin="org.eclipse.ui" version="3.105.0" match="greaterOrEqual"/>
+ </requires>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.designer.core"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.designer.doc"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.designer.cpp"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.designer.validation"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.modellibs.core"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.designer.vsl"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.fcm.profile"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+ <plugin
+ id="org.eclipse.papyrus.qompass.designer.ui"
+ download-size="0"
+ install-size="0"
+ version="0.0.0"
+ unpack="false"/>
+
+</feature>

Back to the top